package com.crm.pay.service;

import com.crm.rely.backend.core.exception.ServiceException;
import com.crm.rely.backend.model.pojo.table.CustomInfoTable;

import java.math.BigDecimal;

public interface CustomInfoService {

    CustomInfoTable getById(Long customId) throws ServiceException;

    CustomInfoTable findFirstById(Long customId) throws ServiceException;

    void updateCnyAmountById(Long customId, BigDecimal cnyAmount) throws ServiceException;

    void updateCnyAmountById(Long customId, BigDecimal cnyAmount, String remarks) throws ServiceException;

    void updateCnyAmountByCId(Long cId, BigDecimal cnyAmount) throws ServiceException;

    void updateCnyAmountByCId(Long cId, BigDecimal cnyAmount, String remarks) throws ServiceException;

    void updateUsdAmountById(Long customId, BigDecimal usdAmount) throws ServiceException;

    void updateUsdAmountById(Long customId, BigDecimal usdAmount, String remarks) throws ServiceException;

    void updateUsdAmountByCId(Long cId, BigDecimal usdAmount) throws ServiceException;

    void updateUsdAmountByCId(Long cId, BigDecimal usdAmount, String remarks) throws ServiceException;
}
